#include <bits/stdc++.h>
using namespace std;

long long v,b,br,najm=2e9,najv=-2e9,n,x,a[100000003];


int main(){

cin>>n>>x;

for(int i=1;i<=n;i++){
    cin>>a[i];

    if(a[i]<=najm)najm=a[i];
    if(a[i]>=najv)najv=a[i];
}
v=abs(najv-x);
b=abs(x-najm);

if(najm>x and najv>x){

 br=v;
}


else if(najm<x and najv<x){

    br=b;
}


else if(najm<x and najv>x){

    if(v<=b)br=2*v+b;
    else if(v>b)br=2*b+v;
}

cout<<br<<endl;
return 0;
}